org.encog.app.analyst.wizard

## Class AnalystWizard

- java.lang.Object
- - org.encog.app.analyst.wizard.AnalystWizard

-     public class AnalystWizard
      extends Object

  The Encog Analyst Wizard can be used to create Encog Analyst script files from a CSV file. This class is typically used by the Encog Workbench, but it can easily be used from any program to create a starting point for an Encog Analyst Script. Several items must be provided to the wizard. Desired Machine Learning Method: This is the machine learning method that you would like the wizard to use. This might be a neural network, SVM or other supported method. Normalization Range: This is the range that the data should be normalized into. Some machine learning methods perform better with different ranges. The two ranges supported by the wizard are -1 to 1 and 0 to 1. Goal: What are we trying to accomplish. Is this a classification, regression or autoassociation problem.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_EVAL_PERCENT` The default evaluation percent.
    `static double` | `DEFAULT_TRAIN_ERROR` The default training error.
    `static int` | `DEFAULT_TRAIN_PERCENT` The default training percent.
    `static String` | `FILE_BALANCE` The balanced file.
    `static String` | `FILE_CLUSTER` The clustered file.
    `static String` | `FILE_CODE` The generated code file.
    `static String` | `FILE_EVAL` The evaluation file.
    `static String` | `FILE_EVAL_NORM` The eval file normalization file.
    `static String` | `FILE_ML` The machine learning file.
    `static String` | `FILE_NORMALIZE` The normalized file.
    `static String` | `FILE_OUTPUT` The output file.
    `static String` | `FILE_PRE` The processed data.
    `static String` | `FILE_RANDOM` The randomized file.
    `static String` | `FILE_RAW` The raw file.
    `static String` | `FILE_TRAIN` The training file.
    `static String` | `FILE_TRAINSET` The training set.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalystWizard(EncogAnalyst theAnalyst)` Construct the analyst wizard.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TargetLanguage` | `getCodeTargetLanguage()`
    `int` | `getEvidenceSegements()`
    `AnalystGoal` | `getGoal()`
    `int` | `getLagWindowSize()`
    `int` | `getLeadWindowSize()`
    `double` | `getMaxError()`
    `WizardMethodType` | `getMethodType()`
    `HandleMissingValues` | `getMissing()`
    `NormalizeRange` | `getRange()`
    `AnalystField` | `getTargetField()`
    `boolean` | `isCodeEmbedData()`
    `boolean` | `isIncludeTargetField()`
    `boolean` | `isNaiveBayes()`
    `boolean` | `isPreprocess()`
    `boolean` | `isTaskBalance()`
    `boolean` | `isTaskCluster()`
    `boolean` | `isTaskNormalize()`
    `boolean` | `isTaskRandomize()`
    `boolean` | `isTaskSegregate()`
    `void` | `reanalyze()` Reanalyze column ranges.
    `void` | `setCodeEmbedData(boolean codeEmbedData)`
    `void` | `setCodeTargetLanguage(TargetLanguage codeTargetLanguage)`
    `void` | `setEvidenceSegements(int evidenceSegements)`
    `void` | `setGoal(AnalystGoal theGoal)` Set the goal.
    `void` | `setIncludeTargetField(boolean theIncludeTargetField)`
    `void` | `setLagWindowSize(int theLagWindowSize)`
    `void` | `setLeadWindowSize(int theLeadWindowSize)`
    `void` | `setMaxError(double maxError)`
    `void` | `setMethodType(WizardMethodType theMethodType)`
    `void` | `setMissing(HandleMissingValues missing)`
    `void` | `setNaiveBayes(boolean naiveBayes)`
    `void` | `setPreprocess(boolean preprocess)`
    `void` | `setRange(NormalizeRange theRange)`
    `void` | `setTargetField(AnalystField theTargetField)` Set the target field.
    `void` | `setTargetField(String theTargetField)`
    `void` | `setTaskBalance(boolean theTaskBalance)`
    `void` | `setTaskCluster(boolean theTaskCluster)`
    `void` | `setTaskNormalize(boolean theTaskNormalize)`
    `void` | `setTaskRandomize(boolean theTaskRandomize)`
    `void` | `setTaskSegregate(boolean theTaskSegregate)`
    `void` | `wizard(File analyzeFile, boolean b, AnalystFileFormat format)` Analyze a file.
    `void` | `wizard(URL url, File saveFile, File analyzeFile, boolean b, AnalystFileFormat format)` Analyze a file at the specified URL.
    `void` | `wizardRealTime(List<SourceElement> sourceData, File csvFile, int backwardWindow, int forwardWindow, PredictionType prediction, String predictField)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TRAIN_PERCENT

          public static final int DEFAULT_TRAIN_PERCENT

      The default training percent.
      See Also:
        Constant Field Values

    - #### DEFAULT_EVAL_PERCENT

          public static final int DEFAULT_EVAL_PERCENT

      The default evaluation percent.
      See Also:
        Constant Field Values

    - #### DEFAULT_TRAIN_ERROR

          public static final double DEFAULT_TRAIN_ERROR

      The default training error.
      See Also:
        Constant Field Values

    - #### FILE_PRE

          public static final String FILE_PRE

      The processed data.
      See Also:
        Constant Field Values

    - #### FILE_RAW

          public static final String FILE_RAW

      The raw file.
      See Also:
        Constant Field Values

    - #### FILE_NORMALIZE

          public static final String FILE_NORMALIZE

      The normalized file.
      See Also:
        Constant Field Values

    - #### FILE_RANDOM

          public static final String FILE_RANDOM

      The randomized file.
      See Also:
        Constant Field Values

    - #### FILE_TRAIN

          public static final String FILE_TRAIN

      The training file.
      See Also:
        Constant Field Values

    - #### FILE_EVAL

          public static final String FILE_EVAL

      The evaluation file.
      See Also:
        Constant Field Values

    - #### FILE_EVAL_NORM

          public static final String FILE_EVAL_NORM

      The eval file normalization file.
      See Also:
        Constant Field Values

    - #### FILE_TRAINSET

          public static final String FILE_TRAINSET

      The training set.
      See Also:
        Constant Field Values

    - #### FILE_ML

          public static final String FILE_ML

      The machine learning file.
      See Also:
        Constant Field Values

    - #### FILE_OUTPUT

          public static final String FILE_OUTPUT

      The output file.
      See Also:
        Constant Field Values

    - #### FILE_BALANCE

          public static final String FILE_BALANCE

      The balanced file.
      See Also:
        Constant Field Values

    - #### FILE_CLUSTER

          public static final String FILE_CLUSTER

      The clustered file.
      See Also:
        Constant Field Values

    - #### FILE_CODE

          public static final String FILE_CODE

      The generated code file.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AnalystWizard

          public AnalystWizard(EncogAnalyst theAnalyst)

      Construct the analyst wizard.
      Parameters:
        `theAnalyst` - The analyst to use.

  - ### Method Detail

    - #### getGoal

          public AnalystGoal getGoal()

      Returns:
        The analyst goal.

    - #### getLagWindowSize

          public int getLagWindowSize()

      Returns:
        the lagWindowSize

    - #### getLeadWindowSize

          public int getLeadWindowSize()

      Returns:
        the leadWindowSize

    - #### getMethodType

          public WizardMethodType getMethodType()

      Returns:
        the methodType

    - #### getRange

          public NormalizeRange getRange()

      Returns:
        the range

    - #### getTargetField

          public AnalystField getTargetField()

      Returns:
        Get the target field.

    - #### isIncludeTargetField

          public boolean isIncludeTargetField()

      Returns:
        the includeTargetField

    - #### isTaskBalance

          public boolean isTaskBalance()

      Returns:
        the taskBalance

    - #### isTaskCluster

          public boolean isTaskCluster()

      Returns:
        the taskCluster

    - #### isTaskNormalize

          public boolean isTaskNormalize()

      Returns:
        the taskNormalize

    - #### isTaskRandomize

          public boolean isTaskRandomize()

      Returns:
        the taskRandomize

    - #### isTaskSegregate

          public boolean isTaskSegregate()

      Returns:
        the taskSegregate

    - #### reanalyze

          public void reanalyze()

      Reanalyze column ranges.

    - #### setGoal

          public void setGoal(AnalystGoal theGoal)

      Set the goal.
      Parameters:
        `theGoal` - The goal.

    - #### setIncludeTargetField

          public void setIncludeTargetField(boolean theIncludeTargetField)

      Parameters:
        `theIncludeTargetField` - the includeTargetField to set

    - #### setLagWindowSize

          public void setLagWindowSize(int theLagWindowSize)

      Parameters:
        `theLagWindowSize` - the lagWindowSize to set

    - #### setLeadWindowSize

          public void setLeadWindowSize(int theLeadWindowSize)

      Parameters:
        `theLeadWindowSize` - the leadWindowSize to set

    - #### setMethodType

          public void setMethodType(WizardMethodType theMethodType)

      Parameters:
        `theMethodType` - the methodType to set

    - #### setRange

          public void setRange(NormalizeRange theRange)

      Parameters:
        `theRange` - the range to set

    - #### setTargetField

          public void setTargetField(AnalystField theTargetField)

      Set the target field.
      Parameters:
        `theTargetField` - The target field.

    - #### setTaskBalance

          public void setTaskBalance(boolean theTaskBalance)

      Parameters:
        `theTaskBalance` - the taskBalance to set

    - #### setTaskCluster

          public void setTaskCluster(boolean theTaskCluster)

      Parameters:
        `theTaskCluster` - the taskCluster to set

    - #### setTaskNormalize

          public void setTaskNormalize(boolean theTaskNormalize)

      Parameters:
        `theTaskNormalize` - the taskNormalize to set

    - #### setTaskRandomize

          public void setTaskRandomize(boolean theTaskRandomize)

      Parameters:
        `theTaskRandomize` - the taskRandomize to set

    - #### setTaskSegregate

          public void setTaskSegregate(boolean theTaskSegregate)

      Parameters:
        `theTaskSegregate` - the taskSegregate to set

    - #### wizardRealTime

          public void wizardRealTime(List<SourceElement> sourceData,
                            File csvFile,
                            int backwardWindow,
                            int forwardWindow,
                            PredictionType prediction,
                            String predictField)

    - #### wizard

          public void wizard(File analyzeFile,
                    boolean b,
                    AnalystFileFormat format)

      Analyze a file.
      Parameters:
        `analyzeFile` - The file to analyze.
        `b` - True if there are headers.
        `format` - The file format.

    - #### wizard

          public void wizard(URL url,
                    File saveFile,
                    File analyzeFile,
                    boolean b,
                    AnalystFileFormat format)

      Analyze a file at the specified URL.
      Parameters:
        `url` - The URL to analyze.
        `saveFile` - The save file.
        `analyzeFile` - The Encog analyst file.
        `b` - True if there are headers.
        `format` - The file format.

    - #### getMissing

          public HandleMissingValues getMissing()

      Returns:
        the missing

    - #### setMissing

          public void setMissing(HandleMissingValues missing)

      Parameters:
        `missing` - the missing to set

    - #### isNaiveBayes

          public boolean isNaiveBayes()

      Returns:
        the naiveBayes

    - #### setNaiveBayes

          public void setNaiveBayes(boolean naiveBayes)

      Parameters:
        `naiveBayes` - the naiveBayes to set

    - #### getEvidenceSegements

          public int getEvidenceSegements()

      Returns:
        the evidenceSegements

    - #### setEvidenceSegements

          public void setEvidenceSegements(int evidenceSegements)

      Parameters:
        `evidenceSegements` - the evidenceSegements to set

    - #### getMaxError

          public double getMaxError()

    - #### setMaxError

          public void setMaxError(double maxError)

    - #### setTargetField

          public void setTargetField(String theTargetField)

    - #### getCodeTargetLanguage

          public TargetLanguage getCodeTargetLanguage()

      Returns:
        the codeTargetLanguage

    - #### setCodeTargetLanguage

          public void setCodeTargetLanguage(TargetLanguage codeTargetLanguage)

      Parameters:
        `codeTargetLanguage` - the codeTargetLanguage to set

    - #### isCodeEmbedData

          public boolean isCodeEmbedData()

      Returns:
        the codeEmbedData

    - #### setCodeEmbedData

          public void setCodeEmbedData(boolean codeEmbedData)

      Parameters:
        `codeEmbedData` - the codeEmbedData to set

    - #### isPreprocess

          public boolean isPreprocess()

    - #### setPreprocess

          public void setPreprocess(boolean preprocess)

Copyright © 2014. All Rights Reserved.